<html>
    <head>
        <title>Hello JS</title>
        <style>
            body {
                font-family: sans-serif;
                color: rgb(0, 90, 0);
            }

            fieldset p {
                font-style: italic;
                margin: 0;
            }
            #result {
                text-align: center;
            }
        </style>
    </head>
    <body>
        <h1>Hello JS</h1>
        <fieldset>
            <p>Type your name below:</p>
            <label for="name">Name:</label>
            <input id="name" type="text" size="12" />
        </fieldset>
        <p id="result"></p>

        <script>
            const name = document.getElementById('name');
            const result = document.getElementById('result');

            name.addEventListener('keyup', (ev) => {
                if (name.value) {
                    result.innerHTML = `Hi <b>${name.value}</b>, welcome to the JavaScript world !!`;
                } else {
                    result.innerHTML = '';
                }
            });
        </script>
    </body>
</html>